smith558
Repos
26
Followers
18
Following
33

Code documentation written as code! How novel and totally my idea!

10405
2901

A community version of the renowned "Learn You a Haskell" (LYAH) tutorials collection!

147
18

Slovensko.Digital web

17
4

Main ekosystem.slovensko.digital app

3
3

Website for Proxima company

2
0

Events

Created at 1 day ago
Update typo in ghci error
Created at 6 days ago
started
Created at 1 week ago
Created at 1 week ago
pull request opened
Fix typo in alpha parameter description

What does this implement/fix? Explain your changes.

Fixes a typo in the parameter description.

Created at 1 week ago

Fix typo in alpha parameter description

Created at 1 week ago
Created at 1 week ago
issue comment
ValueError: CPU number 44 is not eligible; choose between [0, 1]

I should add some context. I am running within the SLURM job scheduler (https://slurm.schedmd.com/) on university HPC clusters which have dynamic jobs CPU allocation through affinity.

Created at 1 week ago
Created at 2 weeks ago
issue comment
Stacer suddenly claims there's an update available when there is not

what happens when you click "Download"?

I believe nothing. It eventually resolved itself and stopped appearing after a week. Odd nonetheless.

Created at 2 weeks ago
Add an example about how to visualize the results of GridSearchCV

I am working on this together with developing a plotting API. Here is what the API looks like for grid search: https://nbviewer.jupyter.org/github/thomasjpfan/sklearn_plot_api/blob/master/grid_search.ipynb

Is the plot_grid_search function from the sklearn_plot_api package available anywhere? or the package? Cannot find either.

Created at 2 weeks ago
How should sklearn n_jobs parameter be used with this library?

How should the n_jobs parameter resent in many scikit-learn estimators be used with this library? What's the most optimal use?

Created at 2 weeks ago
Created at 2 weeks ago
Created at 3 weeks ago
opened issue
Numpy warning
# detect language code from text
def detect_lang(text):
    try:
        return detect(text)
    except:
        return 'unknown'
# create new column with mapply
train_set['lang1'] = train_set['tweetText'].mapply(detect_lang)
train_set.shape

giving warning such as

**/python3.9/site-packages/numpy/lib/shape_base.py:790: FutureWarning: The behavior of `series[i:j]` with an integer-dtype index is deprecated. In a future version, this will be treated as *label-based* indexing, consistent with e.g. `series[i]` lookups. To retain the old behavior, use `series.iloc[i:j]`. To get the future behavior, use `series.loc[i:j]`.
  sub_arys.append(_nx.swapaxes(sary[st:end], axis, 0))
Created at 3 weeks ago
started
Created at 3 weeks ago
Created at 3 weeks ago
issue comment
list_commands() not working

@jtpio Thanks! Will try that.

Created at 3 weeks ago
issue comment
Can a JupyterLab notebook programmatically halt itself?

I'm currently using this. Somewhat specific to the SLURM workload manager.

from time import sleep
from ipylab import JupyterFrontEnd

# cleanly terminate the notebook session (terminates slurm job too)
def save_terminate():
    app = JupyterFrontEnd()
    app.commands.execute('docmanager:save')
    
    print("saved and will terminate Jupyter soon")

    sleep(5)

    exit()
    !scancel <SLURM_JOB_ID>
save_terminate()
Created at 3 weeks ago
issue comment
Can a JupyterLab notebook programmatically halt itself?

Is there any solution to this?

Created at 3 weeks ago
opened issue
list_commands() not working

image

Created at 3 weeks ago
started
Created at 3 weeks ago
Created at 4 weeks ago
started
Created at 1 month ago
issue comment
Permission Request for distributing arduino ide v2 on flathub

The upload is not working for Arduino IDE v2.

Adding this to 50-arduino.rules doesn't fix the issue either.

KERNEL=="ttyUSB[0-9]*",MODE="0666"
KERNEL=="ttyACM[0-9]*",MODE="0666"
Created at 1 month ago
Created at 1 month ago
opened issue
ValueError: CPU number 44 is not eligible; choose between [0, 1]

Desktop (please complete the following information):

lscpu
Architecture:          x86_64
CPU op-mode(s):        32-bit, 64-bit
Byte Order:            Little Endian
CPU(s):                64
On-line CPU(s) list:   0-63
Thread(s) per core:    1
Core(s) per socket:    16
Socket(s):             4
NUMA node(s):          4
Vendor ID:             GenuineIntel
CPU family:            6
Model:                 85
Model name:            Intel(R) Xeon(R) Gold 6130 CPU @ 2.10GHz
Stepping:              4
CPU MHz:               2099.871
CPU max MHz:           2100.0000
CPU min MHz:           1000.0000
BogoMIPS:              4200.00
Virtualization:        VT-x
L1d cache:             32K
L1i cache:             32K
L2 cache:              1024K
L3 cache:              22528K
NUMA node0 CPU(s):     0-15
NUMA node1 CPU(s):     16-31
NUMA node2 CPU(s):     32-47
NUMA node3 CPU(s):     48-63
Flags:                 fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx pdpe1gb rdtscp lm constant_tsc art arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 sdbg fma cx16 xtpr pdcm pcid dca sse4_1 sse4_2 x2apic movbe popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm abm 3dnowprefetch epb cat_l3 cdp_l3 invpcid_single intel_ppin intel_pt ssbd mba ibrs ibpb stibp tpr_shadow vnmi flexpriority ept vpid fsgsbase tsc_adjust bmi1 hle avx2 smep bmi2 erms invpcid rtm cqm mpx rdt_a avx512f avx512dq rdseed adx smap clflushopt clwb avx512cd avx512bw avx512vl xsaveopt xsavec xgetbv1 cqm_llc cqm_occup_llc cqm_mbm_total cqm_mbm_local dtherm arat pln pts pku ospke md_clear spec_ctrl intel_stibp flush_l1d

Additional context Running in Jupyter Lab 3.5.1 Describe the bug using bigFlows.pcap from https://tcpreplay.appneta.com/wiki/captures.html in

from nfstream import NFStreamer

offline_streamer = NFStreamer(source="/lyceum/sm4u19/sm4u19/bigFlows.pcap",
                              statistical_analysis=True,
                              splt_analysis=10)

df = offline_streamer.to_pandas()

I get these errors:

Process ForkProcess-86:
Process ForkProcess-87:
Process ForkProcess-88:
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)
Traceback (most recent call last):
OSError: [Errno 22] Invalid argument
Traceback (most recent call last):
Process ForkProcess-89:
Process ForkProcess-90:
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)
OSError: [Errno 22] Invalid argument
Traceback (most recent call last):
Traceback (most recent call last):

During handling of the above exception, another exception occurred:

  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)
OSError: [Errno 22] Invalid argument
Traceback (most recent call last):

During handling of the above exception, another exception occurred:

Process ForkProcess-91:
OSError: [Errno 22] Invalid argument
OSError: [Errno 22] Invalid argument
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()
Process ForkProcess-92:

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

During handling of the above exception, another exception occurred:


During handling of the above exception, another exception occurred:

  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)
Process ForkProcess-93:
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)
Traceback (most recent call last):
Process ForkProcess-94:
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()
OSError: [Errno 22] Invalid argument
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()
Traceback (most recent call last):

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
OSError: [Errno 22] Invalid argument
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))

During handling of the above exception, another exception occurred:

  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()
OSError: [Errno 22] Invalid argument
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(
ValueError: CPU number 10 is not eligible; choose between [0, 1]
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)
ValueError: CPU number 16 is not eligible; choose between [0, 1]
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)

During handling of the above exception, another exception occurred:

OSError: [Errno 22] Invalid argument
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(

During handling of the above exception, another exception occurred:

  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
ValueError: CPU number 12 is not eligible; choose between [0, 1]
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))
ValueError: CPU number 14 is not eligible; choose between [0, 1]
ValueError: CPU number 18 is not eligible; choose between [0, 1]
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(
ValueError: CPU number 22 is not eligible; choose between [0, 1]
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))
Process ForkProcess-100:
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)
Process ForkProcess-101:
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(
ValueError: CPU number 26 is not eligible; choose between [0, 1]
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(
Process ForkProcess-103:
Process ForkProcess-102:
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)
ValueError: CPU number 20 is not eligible; choose between [0, 1]
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)
Traceback (most recent call last):
Process ForkProcess-104:
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)
OSError: [Errno 22] Invalid argument
Traceback (most recent call last):
OSError: [Errno 22] Invalid argument

During handling of the above exception, another exception occurred:

OSError: [Errno 22] Invalid argument
Process ForkProcess-105:

During handling of the above exception, another exception occurred:

  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)

During handling of the above exception, another exception occurred:

  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
OSError: [Errno 22] Invalid argument
Traceback (most recent call last):
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)
Traceback (most recent call last):
Process ForkProcess-106:
Process ForkProcess-107:
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)
OSError: [Errno 22] Invalid argument

During handling of the above exception, another exception occurred:

  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)
OSError: [Errno 22] Invalid argument
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))
Traceback (most recent call last):
Process ForkProcess-108:
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))
OSError: [Errno 22] Invalid argument
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()

During handling of the above exception, another exception occurred:

  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2113, in cpu_affinity_set
    cext.proc_cpu_affinity_set(self.pid, cpus)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))
OSError: [Errno 22] Invalid argument
Traceback (most recent call last):
OSError: [Errno 22] Invalid argument
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))

During handling of the above exception, another exception occurred:

ValueError: CPU number 24 is not eligible; choose between [0, 1]
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)

During handling of the above exception, another exception occurred:

  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)
Traceback (most recent call last):
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))
ValueError: CPU number 40 is not eligible; choose between [0, 1]
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)
ValueError: CPU number 38 is not eligible; choose between [0, 1]
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 315, in _bootstrap
    self.run()
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/multiprocessing/process.py", line 108, in run
    self._target(*self._args, **self._kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(
ValueError: CPU number 44 is not eligible; choose between [0, 1]
ValueError: CPU number 50 is not eligible; choose between [0, 1]
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/meter.py", line 198, in meter_workflow
    set_affinity(root_idx+1)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))
ValueError: CPU number 42 is not eligible; choose between [0, 1]
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(
ValueError: CPU number 52 is not eligible; choose between [0, 1]
ValueError: CPU number 46 is not eligible; choose between [0, 1]
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/nfstream/utils.py", line 156, in set_affinity
    psutil.Process().cpu_affinity(list(temp[idx % x]))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/__init__.py", line 825, in cpu_affinity
    self._proc.cpu_affinity_set(list(set(cpus)))
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 1645, in wrapper
    return fun(self, *args, **kwargs)
ValueError: CPU number 48 is not eligible; choose between [0, 1]
  File "/lyceum/sm4u19/.conda/envs/ml/lib/python3.9/site-packages/psutil/_pslinux.py", line 2124, in cpu_affinity_set
    raise ValueError(
ValueError: CPU number 54 is not eligible; choose between [0, 1]

Any guidance, please?

Created at 1 month ago
issue comment
[BUG] homl.info/colab3 URL is down

Problem solved, it was really stupid: the auto-renewal of homl.info failed because my credit card was stolen a few months ago so I had to cancel it, and I forgot to provide my new credit card details to the web hosting company. They did send me a few alerts, but these ended up in my "Updates" folder in Gmail, which is so full of crap that I missed them. facepalm My apologies for the inconvenience!

Happens. I hope your accounts are safe and that not much else has happened!

Created at 1 month ago
Created at 1 month ago